> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Subscription

> This API can be used to get all the sessions created.



## OpenAPI

````yaml /api-reference/subscriptions/subs.json post /subscription/v1.0/getAllSubscription
openapi: 3.0.3
info:
  title: Subscription API
  description: API for creating and managing subscription sessions and payments.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /subscription/v1.0/getAllSubscription:
    post:
      tags:
        - Subscription
      summary: Get All Subscription
      description: This API can be used to get all the sessions created.
      operationId: getAllSubscription
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                customerId:
                  type: string
                  format: MongoId
                  description: >-
                    Customer ID can be passed to get the sessions of a
                    particular customer.
                  example: 67c5a8f2e123456789abcdef
                filter:
                  type: object
                  description: Different filters can be applied to query the sessions.
                  properties:
                    fromDate:
                      type: string
                      description: Start date for filtering sessions.
                      example: '2026-09-01'
                    toDate:
                      type: string
                      description: End date for filtering sessions.
                      example: '2026-09-21'
                    email:
                      type: string
                      description: To filter sessions according to the customer's email.
                      example: customer@example.com
                    status:
                      type: string
                      description: To filter sessions according to their status.
                      enum:
                        - CREATED
                        - STARTED
                        - CLOSED
                        - EXPIRED
                        - FAILED
                      example: CLOSED
                page:
                  type: number
                  minimum: 1
                  description: >-
                    Used for pagination. The default value is 1. The accepted
                    value is greater than or equal to 1.
                  example: 1
      responses:
        '200':
          description: Get subscription details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllSubscription'
components:
  schemas:
    getAllSubscription:
      type: object
      properties:
        status:
          type: string
          description: Status response
          example: SUCCESS
        sub_status:
          type: string
          description: Used for internal purposes only
          example: '200'
        data:
          type: array
          description: All the sessions
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.